Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# integerobject.hh File Reference

A template base class for GTK+ integer objects. More...

## Namespaces

- namespace Xfc

## Classes

- class Xfc::IntegerObject< IntegerType >
    A C++ template base class for integer objects. More...

## IntegerObject equality operators

- template<typename IntegerType> bool operator== (const IntegerObject< IntegerType > &lhs, IntegerType rhs)
    Equality operator.
- template<typename IntegerType> bool operator== (IntegerType lhs, const IntegerObject< IntegerType > &rhs)
    Equality operator.
- template<typename IntegerType> bool operator!= (const IntegerObject< IntegerType > &lhs, IntegerType rhs)
    Inequality operator.
- template<typename IntegerType> bool operator!= (IntegerType lhs, const IntegerObject< IntegerType > &rhs)
    Inequality operator.

## Detailed Description

A template base class for GTK+ integer objects.

Provides a template base class for integer objects such as Gdk::Keyval, G::Quark and G::Unichar.

## Function Documentation

template<typename IntegerType>
bool operator!= | ( | IntegerType | lhs,
|  | const IntegerObject< IntegerType > & | rhs
| ) | `[inline]`

Inequality operator.

Parameters:

  | lhs | A value of type IntegerType.
  | rhs | An IntegerObject.

Returns:
  true if the value of rhs is equal to lhs.

template<typename IntegerType>
bool operator!= | ( | const IntegerObject< IntegerType > & | lhs,
|  | IntegerType | rhs
| ) | `[inline]`

Inequality operator.

Parameters:

  | lhs | An IntegerObject.
  | rhs | A value of type IntegerType.

Returns:
  true if the value of lhs is equal to rhs.

template<typename IntegerType>
bool operator== | ( | IntegerType | lhs,
|  | const IntegerObject< IntegerType > & | rhs
| ) | `[inline]`

Equality operator.

Parameters:

  | lhs | A value of type IntegerType.
  | rhs | An IntegerObject.

Returns:
  true if the value of rhs is equal to lhs.

template<typename IntegerType>
bool operator== | ( | const IntegerObject< IntegerType > & | lhs,
|  | IntegerType | rhs
| ) | `[inline]`

Equality operator.

Parameters:

  | lhs | An IntegerObject.
  | rhs | A value of type IntegerType.

Returns:
  true if the value of lhs is equal to rhs.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3